AnimationEngine Ver Update Needed With New LC?

Create fast, sprite powered games with Animation Engine, co-developed with DerBrill Software!

Moderators: heatherlaine, kevinmiller, robinmiller, malte

Post Reply
jpatten
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 44
Joined: Tue May 06, 2008 11:24 pm

AnimationEngine Ver Update Needed With New LC?

Post by jpatten » Thu Oct 17, 2013 4:42 am

Hi All..

I have a little stack that I attempted to create an iOS app from that uses AE. This was done using the latest LC, version 6.1.2. It would not create the iOS app. It erred with "linking for Arm7 failed with xrun:..." I saw a reference in the message boards about externals needing to be updated when LiveCode throws that error. I launched the stack in an earlier version of LC and it compiled fine.

Wondering if my hunch is correct? Does AE have to be updated with newest version of LC? (I have AE 5.02, which I download from the LiveCode site tonight, but the AE I was using was 5.03, if that's possible.) Or could that error be contributed to something else?

Thank you!

malte
Posts: 1098
Joined: Thu Feb 23, 2006 8:34 pm
Location: Ostenfeld germany
Contact:

Re: AnimationEngine Ver Update Needed With New LC?

Post by malte » Thu Oct 17, 2013 9:47 am

Hi John,

AE is just a stack, so this would seem very unlikely to cause the problem you are seeing. The related message was mentioning externals, which would be a whole different can of worms. :-)

For the 5.0.3 thing this is an *argh* thing for me, because when I made the community version of AE available, I somehow screwed up the versioning. I shall be releasing a 5.0.4 version in due course though. Nothing much new, just a couple of fixes.

Cheers,

Malte

dave.kilroy
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 838
Joined: Wed Jun 24, 2009 1:17 pm
Location: Plymouth, UK
Contact:

Re: AnimationEngine Ver Update Needed With New LC?

Post by dave.kilroy » Thu Oct 17, 2013 9:49 am

Hi John - I'm running AE 5.02 in an app which is building OK for iOS6 and iOS7

BTW AE is not an external. I include AE as a substack within my main application - are you by any chance keeping it as a separate stack?

Kind regards

Dave
"...this is not the code you are looking for..."

Post Reply

Return to “Animation Engine”